const fs = require('fs')
const path = require('path')
module.exports = [
  {
    type: 'input',
    name: 'entryDev',
    message: `Which code will be bundle to commonjs and inject to vue webpack-dev-server?
Make sure the file is not your express programe entry!
It is just for inject to vue webpack-dev-server,you can change the code to initialize your express routers.
Will auto create one when the file does not exits
`,
    default: './src/index.dev.js',
  },
  {
    type: 'input',
    name: 'watchDir',
    message: `Where will be watched?
The location of your express code,relative to the root of your project,any changes will trigger rebundle express code and restart vue webpack-dev-server.
**Important remind that it just need watch express code,the vue code will be watched by vue-cli-service.
`,
    default: './src/server/**',
  },
  {
    type: 'confirm',
    name: 'installRollupjsConfig',
    message: `It seems that you have configured it yourself rollup.config.js,rename it to rollup.config.js.bak?
**It is strongly recommended to use the same rollupjs configuration, otherwise it may result in inconsistency!
`,
    when: () => {
      return fs.existsSync(path.join(process.cwd(), 'rollup.config.js'))
    },
    default:true
  },
]
